Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Index

    java.lang.Object
      |
      +--org.hsqldb.Index

class Index
extends java.lang.Object

Index class declaration

Constructor Summary
`(package private)` | `Index(java.lang.String name, int[] column, int[] type, boolean unique)` Constructor declaration

Method Summary
`(package private) void` | `delete(java.lang.Object[] row, boolean datatoo)` Method declaration
`(package private) Node` | `find(java.lang.Object[] data)` Method declaration
`(package private) Node` | `findFirst(java.lang.Object value, int compare)` Method declaration
`(package private) Node` | `first()` Method declaration
`(package private) int[]` | `getColumns()` Method declaration
`(package private) java.lang.String` | `getName()` Method declaration
`(package private) Node` | `getRoot()` Method declaration
`(package private) void` | `insert(Node i)` Method declaration
`(package private) boolean` | `isUnique()` Method declaration
`(package private) Node` | `next(Node x)` Method declaration
`(package private) void` | `setRoot(Node r)` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Index

    Index(java.lang.String name,
          int[] column,
          int[] type,
          boolean unique)

  Constructor declaration
  Parameters:
    `name` -
    `column` -
    `type` -
    `unique` -

Method Detail

### getRoot

    Node getRoot()

  Method declaration
  Returns:

### setRoot

    void setRoot(Node r)

  Method declaration
  Parameters:
    `r` -

### getName

    java.lang.String getName()

  Method declaration
  Returns:

### isUnique

    boolean isUnique()

  Method declaration
  Returns:

### getColumns

    int[] getColumns()

  Method declaration
  Returns:

### insert

    void insert(Node i)
          throws java.sql.SQLException

  Method declaration
  Parameters:
    `i` -
  Throws:
    java.sql.SQLException -

### delete

    void delete(java.lang.Object[] row,
                boolean datatoo)
          throws java.sql.SQLException

  Method declaration
  Parameters:
    `row` -
    `datatoo` -
  Throws:
    java.sql.SQLException -

### find

    Node find(java.lang.Object[] data)
        throws java.sql.SQLException

  Method declaration
  Parameters:
    `data` -
  Returns:
  Throws:
    java.sql.SQLException -

### findFirst

    Node findFirst(java.lang.Object value,
                   int compare)
             throws java.sql.SQLException

  Method declaration
  Parameters:
    `value` -
    `compare` -
  Returns:
  Throws:
    java.sql.SQLException -

### first

    Node first()
         throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### next

    Node next(Node x)
        throws java.sql.SQLException

  Method declaration
  Parameters:
    `x` -
  Returns:
  Throws:
    java.sql.SQLException -

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD